using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class AddAContextMenu : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                ContextMenu menuOnMap = new ContextMenu("area", 180);
                ContextMenuItem redirectItem = new ContextMenuItem("<a href='http://www.thinkgeo.com' target='_blank'>ThinkGeo<a>");
                ContextMenuItem showPositionItem = new ContextMenuItem("CurrentPosition(Server Event)");
                ContextMenuItem InfomationItem = new ContextMenuItem("<div onclick='popupInfomation();'>Infomation(Client Event)</div>");
                showPositionItem.Click += new EventHandler<ContextMenuItemClickEventArgs>(showPosition_Click);

                menuOnMap.MenuItems.Add(redirectItem);
                ContextMenuItem subItem = new ContextMenuItem("sub menu");
                redirectItem.MenuItems.Add(subItem);

                menuOnMap.MenuItems.Add(showPositionItem);
                menuOnMap.MenuItems.Add(InfomationItem);

                Map1.ContextMenu = menuOnMap;
            }
        }

        private void showPosition_Click(object sender, ContextMenuItemClickEventArgs e)
        {
            Longitude.Value = e.Location.X.ToString();
            Latitude.Value = e.Location.Y.ToString();
        }
    }
}
